% RUN.m
%
%	This program will run the pre- and post-earthquake
%	simulations from the command line using the SIM
%	function. Note that you 
%
%	Shirley J. Dyke			Last Modified: 2/1/98


% RUN ELCENTRO CONTROLLED SIMULATIONS
% PRE-EARTHQUAKE
clear
sim_inp(1,100);
OPTIONS = simset('solver','ode5','FixedStep',dtint);
sim('eval_sim',[0 Tmax],OPTIONS,[])
save pre_elc t yf ye u 
% POST_EARTHQUAKE
clear
sim_inp(0,100)
OPTIONS = simset('solver','ode5','FixedStep',dtint);
sim('eval_sim',[0 Tmax],OPTIONS,[])
save post_elc t yf ye u 


% RUN HACHINOHE CONTROLLED SIMULATIONS
% PRE-EARTHQUAKE
clear
sim_inp(1,100);
delete_line('eval_sim','El Centro/1','input/1')
add_line('eval_sim','Hachinohe/1','input/1')
OPTIONS = simset('solver','ode5','FixedStep',dtint);
sim('eval_sim',[0 Tmax],OPTIONS,[])
save pre_hac t yf ye u 
% POST_EARTHQUAKE
clear
sim_inp(0,100)
OPTIONS = simset('solver','ode5','FixedStep',dtint);
sim('eval_sim',[0 Tmax],OPTIONS,[])
save post_hac t yf ye u 


% RUN NORTHRIDGE CONTROLLED SIMULATIONS
% PRE-EARTHQUAKE
clear
sim_inp(1,100);
delete_line('eval_sim','Hachinohe/1','input/1')
add_line('eval_sim','Northridge/1','input/1')
OPTIONS = simset('solver','ode5','FixedStep',dtint);
sim('eval_sim',[0 Tmax],OPTIONS,[])
save pre_nor t yf ye u 
% POST_EARTHQUAKE
clear
sim_inp(0,100)
OPTIONS = simset('solver','ode5','FixedStep',dtint);
sim('eval_sim',[0 Tmax],OPTIONS,[])
save post_nor t yf ye u 


% RUN KOBE CONTROLLED SIMULATIONS
% PRE-EARTHQUAKE
clear
sim_inp(1,180);
delete_line('eval_sim','Northridge/1','input/1')
add_line('eval_sim','Kobe/1','input/1')
OPTIONS = simset('solver','ode5','FixedStep',dtint);
sim('eval_sim',[0 Tmax],OPTIONS,[])
save pre_kob t yf ye u 
% POST_EARTHQUAKE
clear
sim_inp(0,180)
OPTIONS = simset('solver','ode5','FixedStep',dtint);
sim('eval_sim',[0 Tmax],OPTIONS,[])
save post_kob t yf ye u 


% RETURN SIMULATION TO ORIGINAL CONFIGURATION
delete_line('eval_sim','Kobe/1','input/1')
add_line('eval_sim','El Centro/1','input/1')
